[Overview][Classes][Procedures and functions][Index] | Reference for unit 'XMLPropStorage' (#lcl)

# TXMLConfigStorage.Destroy

Destructor for the class instance.

## Declaration

Source position: xmlpropstorage.pas line 99

`public destructor TXMLConfigStorage.Destroy; override;`

## Description

Destroy is the overridden destructor for the class instance. It uses the value in FreeXMLConfig to determine whether the TXMLConfig instance in XMLConfig is freed in the method. When set to True, XMLConfig is freed and set to Nil.

Destroy calls the inherited destructor prior to exiting from the method.

## See also

TXMLConfigStorage.Create |  | Constructor for the class instance.
TXMLConfigStorage.FreeXMLConfig |  | Indicates whether the TXMLConfig instance is freed when the class is destroyed.
TXMLConfigStorage.XMLConfig |  | TXMLConfig with the values accessed and maintained in the class instance.